tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::signal_end_of_usage_aggregator_operation Struct Reference
Inheritance diagram for tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::signal_end_of_usage_aggregator_operation:
Collaboration diagram for tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::signal_end_of_usage_aggregator_operation:

## Public Member Functions

| signal_end_of_usage_aggregator_operation (typename map_storage_type::reference map_record_ref)
void | handle (self_type &container)
Public Member Functions inherited from tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::aggregator_operation
| aggregator_operation (e_op_type operation_type)
void | cast_and_handle (self_type &container)
Public Member Functions inherited from tbb::interface6::internal::aggregated_operation< Derived >
| aggregated_operation ()

## Public Attributes

map_storage_type::reference | my_map_record_ref
Public Attributes inherited from tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::aggregator_operation
e_op_type | my_operation_type
Public Attributes inherited from tbb::interface6::internal::aggregated_operation< Derived >
uintptr_t | status
| Zero value means "wait" status, all other values are "user" specified values and are defined into the scope of a class which uses "status". More...
Derived * | next

## Additional Inherited Members

Public Types inherited from tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::aggregator_operation
enum | e_op_type { op_retive , op_signal_end_of_usage }
Private Member Functions inherited from tbb::internal::no_assign
void | operator= (const no_assign &)=delete
| no_assign (const no_assign &)=default
| no_assign ()=default

## Detailed Description

### template<typename key_type, typename value_type, typename value_functor_type = value_type (*)(key_type)>
struct tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::signal_end_of_usage_aggregator_operation

Definition at line 220 of file concurrent_lru_cache.h.

## Constructor & Destructor Documentation

## signal_end_of_usage_aggregator_operation()

template<typename key_type , typename value_type , typename value_functor_type = value_type (*)(key_type)>

tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::signal_end_of_usage_aggregator_operation::signal_end_of_usage_aggregator_operation | ( | typename map_storage_type::reference | map_record_ref | ) |

inline

Definition at line 222 of file concurrent_lru_cache.h.

:aggregator_operation(aggregator_operation::op_signal_end_of_usage),my_map_record_ref(map_record_ref){}
tbb::interface6::concurrent_lru_cache::aggregator_operation::aggregator_operation
aggregator_operation(e_op_type operation_type)
Definition: concurrent_lru_cache.h:200
tbb::interface6::concurrent_lru_cache::aggregator_operation::op_signal_end_of_usage
@ op_signal_end_of_usage
Definition: concurrent_lru_cache.h:196
tbb::interface6::concurrent_lru_cache::signal_end_of_usage_aggregator_operation::my_map_record_ref
map_storage_type::reference my_map_record_ref
Definition: concurrent_lru_cache.h:221

## Member Function Documentation

## handle()

template<typename key_type , typename value_type , typename value_functor_type = value_type (*)(key_type)>

void tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::signal_end_of_usage_aggregator_operation::handle | ( | self_type & | container | ) |

inline

Definition at line 223 of file concurrent_lru_cache.h.

{
container.signal_end_of_usage_serial(my_map_record_ref);
}

References tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::signal_end_of_usage_aggregator_operation::my_map_record_ref, and tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::signal_end_of_usage_serial().

Here is the call graph for this function:

## Member Data Documentation

## my_map_record_ref

template<typename key_type , typename value_type , typename value_functor_type = value_type (*)(key_type)>

map_storage_type::reference tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::signal_end_of_usage_aggregator_operation::my_map_record_ref

Definition at line 221 of file concurrent_lru_cache.h.

Referenced by tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::signal_end_of_usage_aggregator_operation::handle().

The documentation for this struct was generated from the following file:

- concurrent_lru_cache.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.